WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Lisäosa WorldWideScripts.net

Tilaa syötteen pysymään ajan tasalla!

Uusi! Seuraa meitä kuin haluat!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Seuraa minua Twitterissä Follow Me On G + Follow Me On CodeCanyon live-Demo

Demo - Non Database (rujo)
Demo - Database (rujo)
Demot ovat rujo! Olemme salattu todellisen version kunkin toiminnon ja laajennus.

PHP Version Finder - Päivitetty v 1.0.3c 12.9.2010

Etsi mikä versio PHP käsikirjoitus vaatii. Kun kysyttiin, mitä versiota PHP suorittamiseen vaaditaan meidän skriptejä meillä ei ole lopullista vastausta. Loimme tämä kirjoitus määrittää PHP version, ja sitten otimme sen toiselle tasolle pyrkimällä poistuneita tehtäviä. Mutta emme pysähtyvät vain tuohon. Olemme mukana PHP laajennukset ja kielen konstruktioita. Me melkein kutsui hyvä siinä, mutta sitten mietimme... kuinka monta kertaa käytimme näitä toimintoja. Liiallinen käyttö sama toiminto voidaan halventava suorituskykyyn. Seuranta kuinka monta kertaa funktiota käytetään voi auttaa määrittämään, onko "User Luotu Toiminto" voidaan luoda vähentää koodia ja parantaa suorituskykyä.

Detection

PHP Version Finder kappaleet: 3044 PHP toiminnot, 2260 PHP laajennukset, 23 Kieli Constructs, 19 vaihtoehtoisia ehdotuksia, 7 Tips / Tricks / Notes. (Plus 69 Experimental, 20 Deprecated, 47 "SVN" toiminnot)
Koodi ei tarvitse olla täydellisiä eikä toimiva. Se ei edes ole järkeä. Niin kauan kuin se on välillä <? Php ja?> Se arvioidaan. Rujo Demo - Demo on rampa estää ihmisiä käyttämästä sitä pikemmin kuin ostaa sen.

Lopeta arvaaminen!

Totta puhuen - useimmat kehittäjät "pallo-park" mikä versio PHP edellytetään muistuttaa muutama "avain" toiminnot ne käytetään. PHP Version Finder voit tietää varmasti, mitä PHP versio on todella tarvitaan!
Älä Arvaa! - Suorita PHP Version Finder oman käsikirjoituksen tietää varmasti, mitä verions PHP käyttöön tarvitaan käsikirjoitus!

Käytöstä poistettu Detection

PHP Version Finder ilmoittaa, jos mitään toimintoja ei käytetä ovat vanhentuneita.
Poistettu Detection - Tarkista skriptit vanhentunut toimintojen

kaksi versiot

PHP Version Finder ei vaadi tietokantaa. Kuitenkin niille teistä, jotka mieluummin käyttävät tietokantaa, käsikirjoitus sisältää kuitenkin versio tietokannasta.
Optionhal Database - PHP versio löytäjä ei vaadi tietokantaa, mutta vaihtoehtoinen versio toimitetaan niille, jotka eivät halua käyttää tietokantaa.
Miksi kaksi versiota?
Se kaikki tulee alas numerot. Jos on paljon PHP toimintoja, NON tietokanta versio on nopeampi. Jos on olemassa vain muutamia toimintoja, tietokannan versio on nopeampi. Kuinka paljon nopeammin? No, se mitataan mikro sekuntia. Joten ei oikeastaan ​​havaittavissa. Sen jälkeen teimme tietokantaversio päätimme se ei ollut vaivan arvoista, koska sen suorituskyky ei ollut havaittavissa erilainen. Päätimme sisällyttää, koska se oli jo rakennettu - freebie jos haluat.

Asennus

Asennus on yksinkertainen. Lataa hakemisto, muokkaa kaksi asetuksia ja olet valmis.
Installion - Upload 1 hakemistoon palvelimelle, muokata yhden config tiedosto ja olet valmis menemään!

Tulot

Voit lähettää tiedoston tietokoneesta, skannaa tiedoston tai koko hakemistosta palvelimella, tai liitä koodi laatikkoon jalostukseen.
Useita Tulot - Voit ladata tiedoston, skannata hakemiston tai tarkistaa koodiosion.

Vaihtoehtoiset Ehdotuksia

Jos PHP Version Finder toteaa toimintoja, joita hylätty, se antaa sinulle vaihtoehtoisia ehdotuksia, jotka voisivat korvata poistettua toiminto.
Vaihtoehtoiset Ehdotukset - Voit tehdä script Esimerkiksi:
Jos käytät file_put_contents (joka vaatii PHP 5), PHP Version Finder kertoa, että voit käyttää fwrite sijasta, joka voi alentaa vaadittu versio alas PHP 4. Paitsi että, mutta on merkille liitteenä file_put_contents joka näyttää koodia käyttää tehdä file_put_contents taaksepäin yhteensopiva.

Osto PHP versio Finder NYT!

Helpota! Etsi hylätty toimintoja, saada taaksepäin yhteensopiva ehdotuksia ja tietää, mitä versiota PHP tarvitaan ajaa skriptejä
Osto nyt - helpota, löytää vanhentunut toimintoja, saada taaksepäin yhteensopiva ehdotuksia ja tietää, mitä versiota PHP tarvitaan ajaa skriptejä.

Nykyinen ominaisuudet (v 1.0.0) - 12.01.2010

  • valinnainen Database
  • Käytöstä poistettu Detection
  • Tiedoston lataaminen Processing
  • Directory Processing
  • Liitetty Code Processing
  • Automaattinen täydennys
  • Syntax Highlighter
  • 3044 PHP Toiminnot
  • 2260 PHP laajennukset
  • 23 Kieli Constructs
  • 19 Vaihtoehtoiset Ehdotuksia
  • 7 Vinkkejä / Tricks / Notes
  • Plus 69 Kokeellinen Toiminnot
  • Plus 20 Poistettu Toiminnot
  • Plus 47 "svn" / tuntematon Toiminnot

Päivitys v 1.0.1 12.3.2010

  • Kiinteä huomautus Varoitukset
  • Kiinteä "määrittämättömiä muuttujia" virheet
  • Kiinteä kirjoitusvirheitä
  • Päivitetty ohjetiedosto tehtyjen muutosten
  • Lisätty Licensing Selitys
  • Siivonnut "Report File"

Päivitys v 1.0.2 12.4.2010

  • Kiinteä huomautus Varoitukset
  • Kiinteä "määrittämättömiä muuttujia" virheet
  • Päivitetty ohjetiedosto tehtyjen muutosten

Päivitys v 1.0.3c 12.9.2010

  • Puhdistaa koodi
  • Rewrote miten tilastot lasketaan yhteen.
  • Rewrote "Report File"

Lataa
Muut komponentit tässä luokassaKaikki osat tämän tekijän
KommentitUsein kysyttyjä kysymyksiä ja vastauksia

Ominaisuudet

Luotu:
03 joulukuu 10

Viimeisin päivitys:
10 joulukuu 10

Korkea resoluutio:
Ei

yhteensopiva selaimet:
IE7, IE8, Safari, Opera

tiedostot Mukana:
JavaScript JS, HTML, CSS, PHP, SQL

Software Version:
PHP 4.x, PHP 5.x, PHP 5,0-5,2, PHP 5.3, MySQL 5.x

Avainsanoja

eCommerce, eCommerce, Kaikki tavarat, vanhentunut varoitus, pHP versio, syntaksin korostus